# opentl::input::AbstractSensor Class Reference

Inherits opentl::core::util::ParameterContainer.

Inherited by opentl::input::FileSequence, and opentl::input::ImageSensor.

List of all members.

## Public Types
## Public Member Functions
| AbstractSensor ()
virtual void | close ()
| closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | init ()
| initializes the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
virtual void | open ()
| opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class
const opentl::math::Transform & | sensorPosition () const
| returns the transform of the sensor (transform FROM the sensor TO the world origin!).
virtual void | setSensorPosition (const opentl::math::Transform &T)
| Set the transform of the sensor.
virtual | ~AbstractSensor ()

## Member Enumeration Documentation

enum opentl::input::AbstractSensor::OfflineParameters

Enumerator:

  OFFLINE_COUNT |

Reimplemented in opentl::input::FirewireCamera, opentl::input::ImageSensor, and opentl::input::V4L2Camera.

enum opentl::input::AbstractSensor::OnlineParameters

Enumerator:

  ONLINE_COUNT |

Reimplemented in opentl::input::FirewireCamera, opentl::input::ImageSensor, and opentl::input::V4L2Camera.

## Constructor & Destructor Documentation

opentl::input::AbstractSensor::AbstractSensor | ( |  | ) |

virtual opentl::input::AbstractSensor::~AbstractSensor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void opentl::input::AbstractSensor::close | ( |  | ) | `[virtual]`

closes the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented in opentl::input::FileSequence, opentl::input::ImageSequence, opentl::input::LinuxDC1394Camera, opentl::input::OpenCVCamera, opentl::input::V4L2Camera, opentl::input::VideoFile, and opentl::input::WindowsCMU1394Camera.

virtual void opentl::input::AbstractSensor::init | ( |  | ) | `[virtual]`

initializes the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Implements opentl::core::util::ParameterContainer.

Reimplemented in opentl::input::FileSequence, opentl::input::ImageSequence, opentl::input::LinuxDC1394Camera, opentl::input::OpenCVCamera, opentl::input::V4L2Camera, opentl::input::VideoFile, and opentl::input::WindowsCMU1394Camera.

virtual void opentl::input::AbstractSensor::open | ( |  | ) | `[virtual]`

opens the connection to the sensor (e.g. a camera) IMPORTANT: implement this method in your sensor class

Reimplemented in opentl::input::FileSequence, opentl::input::ImageSequence, opentl::input::LinuxDC1394Camera, opentl::input::OpenCVCamera, opentl::input::V4L2Camera, opentl::input::VideoFile, and opentl::input::WindowsCMU1394Camera.

const opentl::math::Transform& opentl::input::AbstractSensor::sensorPosition | ( |  | ) | const

returns the transform of the sensor (transform FROM the sensor TO the world origin!).

virtual void opentl::input::AbstractSensor::setSensorPosition | ( | const opentl::math::Transform & | T | ) | `[virtual]`

Set the transform of the sensor.

Parameters:

  | T | IMPORTANT: T is the transform FROM the sensor TO the world origin!

Reimplemented in opentl::input::ImageSensor.